## ros-indigo-squirrel-person-tracker-msgs 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(squirrel_person_tracker_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)


 add_message_files(DIRECTORY msg
   FILES
   State.msg
   HeadHandPoints.msg  
   SkeletonJoint.msg
   Skeleton.msg
   SkeletonVector.msg 
 )
 
  add_service_files(DIRECTORY srv
   FILES
   SetBool.srv      
 )


 generate_messages(
   DEPENDENCIES
   std_msgs 
   geometry_msgs
)


catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs geometry_msgs
#  DEPENDS system_lib
)

=== debian/changelog ===
ros-indigo-squirrel-person-tracker-msgs (0.0.24-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.23-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.22-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.21-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.20-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.19-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.18-0trusty) trusty; urgency=high

  * add skeleton msgs
  * Contributors: Peter Regier

 -- Peter Regier <pregier@cs.uni-bonn.de>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.17-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.16-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.15-0trusty) trusty; urgency=high

  * manual merge resolution
  * 0.0.4
  * update
  * 0.0.3
  * updated version
  * add CHANGELOG.rst
  * Contributors: Philipp Zech, buildbot-squirrel

 -- Peter Regier <pregier@cs.uni-bonn.de>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.14-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.13-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.12-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.11-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.10-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.9-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.8-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Wed, 03 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.7-0trusty) trusty; urgency=high

  * add squirrel_person_msgs service set bool
  * Contributors: Peter Regier

 -- Peter Regier <pregier@cs.uni-bonn.de>  Mon, 01 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.6-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Sun, 31 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.4-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.3-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.2-0trusty) trusty; urgency=high



 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-person-tracker-msgs (0.0.1-0trusty) trusty; urgency=high

  * package version
  * squirrel_person_tracker_msg: add message
  * squirrel_person_tracker: rename from squirrel_tracker_msgs  to squirrel_person_tracker_msgs
  * squirrel_person_tracker: rename packege to squirrel_person_tecker_msgs
  * Contributors: Peter Regier, ipa-nhg

 -- Peter Regier <pregier@cs.uni-bonn.de>  Tue, 15 Dec 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-squirrel-person-tracker-msgs
Section: misc
Priority: extra
Maintainer: Peter Regier <pregier@cs.uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-squirrel-person-tracker-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: The squirrel_person_tracker_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-squirrel-person-tracker-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
